<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Session;

class registerController extends Controller
{
    public function regUser(Request $request)
    {
//        return $request->all();
        $user = new User();
        $user->name = $request->input('name');
        $user->email = $request->input('email');
        if($request->input('password_confirmation') == $request->input('password')){
            $user->password =  Hash::make($request->input('password'));
            $user->save();
            $user->roles()->sync('2');
            Session::flash('success','کاربر جدید با موفقیت ثبت نام شد');
            return redirect('/login');
        }else{
            Session::flash('danger','رمز عبور با هم همخوانی ندارد');
            return redirect('/register');
        }
    }
}
